Page Summary
-
This operation updates a return carrier linked to a specific Merchant Center account using the
PATCHmethod. -
You'll need the
accountIdandcarrierAccountIdto identify the account and the carrier to be updated. -
The request body should contain the updated
AccountReturnCarrierobject with the desired changes. -
Upon success, the response will provide the updated
AccountReturnCarrierobject. -
Authorization requires the
https://www.googleapis.com/auth/contentscope.
Updates a return carrier in the merchant account.
HTTP request
PATCH https://shoppingcontent.googleapis.com/content/v2.1/accounts/{accountId}/returncarrier/{carrierAccountId}
Path parameters
| Parameters | |
|---|---|
accountId |
Required. The Merchant Center Account Id under which the Return Carrier is to be linked. |
carrierAccountId |
Required. The Google-provided unique carrier ID, used to update the resource. |
Request body
The request body contains an instance of AccountReturnCarrier.
Response body
If successful, the response body contains an instance of AccountReturnCarrier.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.